@import './../../common/styles/colors.scss';
@import './../../common/styles/mixins.scss';


.dropdown {
  position: relative;
  margin: 10px 0;

  &__header {
    display: flex;
    background-color: $white;
    height: 40px;
    border: solid 2px $gray;

    @include small {
      background-color: $gray;
      border: solid 1px $darkGray;
    }

    &__before,
    &__after {
      @include center();

      .material-icons {
        margin: 10px;
        font-size: 26px;
        color: $red;
      }
    }

    &__after {
      border-left: solid 2px $gray;
      cursor: pointer;

      @include small {
        border-left: solid 1px $darkGray;
      }
    }

    &__text {
      width: 150px;
      text-align: center;

      span {
        line-height: 40px;
      }
    }

  }

  &__items {
    position: absolute;
    text-align: center;
    background-color: $white;
    border: solid 2px $gray;
    width: calc(100% - 4px);
    z-index: 10;

    @include small {
      background-color: $gray;
      border: solid 1px $darkGray;
      width: calc(100% - 2px);
    }

    &--hide {
      display: none;
    }

    &__item {
      cursor: pointer;
      @include transition();

      &:hover {
        background-color: $gray;
      }

      span {
        line-height: 40px;
      }
    }
  }
}